gir1.2-appstream-1.0_0.12.0-3_i386.deb


Advertisement

Description

gir1.2-appstream-1.0 - Library to access AppStream services (introspection data)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main i386
Package filename gir1.2-appstream-1.0_0.12.0-3_i386.deb
Package name gir1.2-appstream-1.0
Package version 0.12.0
Package release 3
Package architecture i386
Package type deb
Category introspection
Homepage http://www.freedesktop.org/wiki/Distributions/AppStream/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 12.54 KB
Installed size 64.00 KB
AppStream is a metadata specification, allowing to write metadata for
software projects in a standardized format. This allows software centers
to display useful information for not installed software, as well as
determining software the user might want to install (e.g. to open an
unknown file type or to make missing firmware available).
This package contains introspection data for the AppStream library.

Alternatives

Package Version Architecture Repository
gir1.2-appstream-1.0_0.12.0-3ubuntu1_i386.deb 0.12.0 i386 Ubuntu Updates Main
gir1.2-appstream-1.0_0.12.0-3ubuntu1_amd64.deb 0.12.0 amd64 Ubuntu Updates Main
gir1.2-appstream-1.0_0.12.0-3_amd64.deb 0.12.0 amd64 Ubuntu Main
gir1.2-appstream-1.0 - - -

Requires

Name Value
gir1.2-glib-2.0 >= 1.53
libappstream4 = 0.12.0-3

Replaces

Name Value
gir1.2-appstream << 0.10.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gir1.2-appstream-1.0_0.12.0-3_i386.deb
Source Package appstream

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gir1.2-appstream-1.0 deb package:
    # sudo apt-get install gir1.2-appstream-1.0

Files

Path
/usr/lib/i386-linux-gnu/girepository-1.0/AppStream-1.0.typelib
/usr/share/doc/gir1.2-appstream-1.0/changelog.Debian.gz
/usr/share/doc/gir1.2-appstream-1.0/copyright

Changelog

2018-04-06 - Matthias Klumpp <mak@debian.org>
appstream (0.12.0-3) unstable; urgency=medium
* load-desktop-data.patch: Load desktop file data properly again
2018-04-06 - Matthias Klumpp <mak@debian.org>
appstream (0.12.0-2) unstable; urgency=medium
* Make autopkgtest work again
* Update d/copyright (Closes: #894856)
* icon config: Pull in non-HiDPI config for large icons
if large-icon HiDPI config is installed
2018-04-04 - Matthias Klumpp <mak@debian.org>
appstream (0.12.0-1) unstable; urgency=medium
* New upstream version: 0.12.0
* Drop all patches: Applied upstream
* Update .symbols file
* d/rules: Drop obsolete --parallel flag
* Add APT config snippet packages for an easy way of enabling
icon downloads for different sizes and HiDPI.
2018-01-24 - Matthias Klumpp <mak@debian.org>
appstream (0.11.8-3) unstable; urgency=medium
* appstream-doc breaks older appstream package versions (Closes: #888301)
- The upstream NEWS file accidentally moved from appstream to
appstream-doc, and now that it is there it makes sense to
keep it in the -doc package.
2018-01-24 - Matthias Klumpp <mak@debian.org>
appstream (0.11.8-2) unstable; urgency=medium
* qt-define-locations-nodebug.patch: Allow finding the Qt library
for non-debug builds correctly again (Closes: #888144)
2018-01-22 - Matthias Klumpp <mak@debian.org>
appstream (0.11.8-1) unstable; urgency=medium
* New upstream version: 0.11.8
* Update Vcs-* URLs for Salsa migration
* Bump dh compat level to 11
2017-10-22 - Matthias Klumpp <mak@debian.org>
appstream (0.11.7-1) unstable; urgency=medium
* New upstream version: 0.11.7
* Drop patches: Applied upstream
* Make appstream package suggest curl
* Bump standards version: No changes needed
* Update .symbols file
2017-10-08 - Matthias Klumpp <mak@debian.org>
appstream (0.11.6-2) unstable; urgency=medium
* fix-screenshot-validate-loop.patch: Fix endless loop when
validating screenshots
2017-10-02 - Matthias Klumpp <mak@debian.org>
appstream (0.11.6-1) unstable; urgency=medium
* New upstream version: 0.11.6
2017-09-04 - Matthias Klumpp <mak@debian.org>
appstream (0.11.5-1) unstable; urgency=medium
* New upstream version 0.11.5
- Makes Qt CMake file work on non-64bit-arches again (Closes: #874169)
* Bump standards version: No changes needed

See Also

Package Description
gir1.2-appstreamglib-1.0_0.7.7-2_i386.deb GObject introspection data for the libappstream-glib library
gir1.2-atk-1.0_2.28.1-1_i386.deb ATK accessibility toolkit (GObject introspection)
gir1.2-atspi-2.0_2.28.0-1_i386.deb Assistive Technology Service Provider (GObject introspection)
gir1.2-avahi-0.6_0.7-3.1ubuntu1_i386.deb GObject introspection data for Avahi
gir1.2-blockdev-2.0_2.16-2_i386.deb libblockdev introspection data
gir1.2-camel-1.2_3.28.1-1ubuntu1_i386.deb GObject introspection for the Camel library
gir1.2-cheese-3.0_3.28.0-1ubuntu1_i386.deb tool to take pictures and videos from your webcam - gir bindings
gir1.2-clutter-1.0_1.26.2+dfsg-4_i386.deb GObject introspection data for the Clutter 1.0 library
gir1.2-clutter-gst-3.0_3.0.26-1_i386.deb Gobject introspection data for Clutter GStreamer elements
gir1.2-cogl-1.0_1.22.2-3_i386.deb GObject introspection data for the Cogl 1.0 library
gir1.2-coglgst-2.0_1.22.2-3_i386.deb GObject introspection data for the CoglGst 2.0 library
gir1.2-coglpango-1.0_1.22.2-3_i386.deb GObject introspection data for the CoglPango 1.0 library
gir1.2-colord-1.0_1.3.3-2build1_i386.deb GObject introspection data for the colord library
gir1.2-colordgtk-1.0_0.1.26-2_i386.deb GObject introspection data for the colord-gtk library
gir1.2-colorhug-1.0_1.3.3-2build1_i386.deb GObject introspection data for the colorhug library
Advertisement
Advertisement